OGRE-Next: Ogre::MetalMappings Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Ogre::MetalMappings Class Reference

`#include <OgreMetalMappings.h>`

## Static Public Member Functions
static MTLVertexFormat | dataTypeToVertexFormat (MTLDataType dataType)
static MTLCompareFunction | get (CompareFunction cmp)
static MTLSamplerMinMagFilter | get (FilterOptions filter)
static GpuConstantType | get (MTLDataType dataType)
static MTLPixelFormat | get (PixelFormatGpu pf, MetalDevice *device)
static MTLBlendFactor | get (SceneBlendFactor op)
static MTLBlendOperation | get (SceneBlendOperation op)
static MTLStencilOperation | get (StencilOperation op)
static MTLSamplerAddressMode | get (TextureAddressingMode mode)
static MTLColorWriteMask | get (uint8 mask)
static MTLVertexFormat | get (VertexElementType vertexElemType)
static void | getDepthStencilFormat (PixelFormatGpu pf, MetalDevice *device, MTLPixelFormat &outDepth, MTLPixelFormat &outStencil)
| Can throw if PixelFormat is not depth.
static MTLSamplerMipFilter | getMipFilter (FilterOptions filter)

## Member Function Documentation

## ◆ dataTypeToVertexFormat()

static MTLVertexFormat Ogre::MetalMappings::dataTypeToVertexFormat | ( | MTLDataType | dataType | ) |
| static

## ◆ get() [1/10]

static MTLCompareFunction Ogre::MetalMappings::get | ( | CompareFunction | cmp | ) |
| static

## ◆ get() [2/10]

static MTLSamplerMinMagFilter Ogre::MetalMappings::get | ( | FilterOptions | filter | ) |
| static

## ◆ get() [3/10]

static GpuConstantType Ogre::MetalMappings::get | ( | MTLDataType | dataType | ) |
| static

## ◆ get() [4/10]

static MTLPixelFormat Ogre::MetalMappings::get | ( | PixelFormatGpu | pf,
|  | MetalDevice * | device )
| static

## ◆ get() [5/10]

static MTLBlendFactor Ogre::MetalMappings::get | ( | SceneBlendFactor | op | ) |
| static

## ◆ get() [6/10]

static MTLBlendOperation Ogre::MetalMappings::get | ( | SceneBlendOperation | op | ) |
| static

## ◆ get() [7/10]

static MTLStencilOperation Ogre::MetalMappings::get | ( | StencilOperation | op | ) |
| static

## ◆ get() [8/10]

static MTLSamplerAddressMode Ogre::MetalMappings::get | ( | TextureAddressingMode | mode | ) |
| static

## ◆ get() [9/10]

static MTLColorWriteMask Ogre::MetalMappings::get | ( | uint8 | mask | ) |
| static

See also
  HlmsBlendblock::BlendChannelMasks

## ◆ get() [10/10]

static MTLVertexFormat Ogre::MetalMappings::get | ( | VertexElementType | vertexElemType | ) |
| static

## ◆ getDepthStencilFormat()

static void Ogre::MetalMappings::getDepthStencilFormat | ( | PixelFormatGpu | pf,
|  | MetalDevice * | device,
|  | MTLPixelFormat & | outDepth,
|  | MTLPixelFormat & | outStencil )
| static

Can throw if PixelFormat is not depth.

## ◆ getMipFilter()

static MTLSamplerMipFilter Ogre::MetalMappings::getMipFilter | ( | FilterOptions | filter | ) |
| static

The documentation for this class was generated from the following file:

- OgreMetalMappings.h